﻿
@{
    ViewBag.Title = "MyOffice";
    Layout = "~/Views/Shared/_Layout_none.cshtml";
}
<header style="position: fixed; top: 0; width: 100%; background: #0e0e0e; padding: 0px; margin: 0px; height:40px;">
    <div style=""></div>
</header>
<div style="margin-top:50px;">
    <div style="display:flex; align-items:center; margin:15px;">
        <h3 style="">직급 :</h3>
        <span style="display: flex;justify-content: center;align-items: center;width: 100px;height: 35px;margin-left: 10px;border-radius: 5px;background-color: #f44336;color: #fff;">@Session["username"]</span>
    </div>
</div>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
    $(document).ready(function () {
        google.load("visualization", "1", { packages: ["orgchart"] });
        google.setOnLoadCallback(drawChart);
    });

    function drawChart() {
        $.ajax({
            type: "POST",
            url: "/ChartMember/GetChartData",
            //data: "{'buy_name':'" + buy_name + "','point':" + point + ",'amount':" + amount + ",'price':" + price + ",'pay_type':" + pay_type + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (r) {
                //alert(1);
                //console.log(r.data.length);

                var data = new google.visualization.DataTable();
                data.addColumn('string', 'Entity');
                data.addColumn('string', 'ParentEntity');
                data.addColumn('string', 'ToolTip');
                for (var i = 0; i < r.data.length; i++) {
                    var memberId = r.data[i][0].toString();
                    var memberName = r.data[i][1];
                    var parentId = r.data[i][2] != null ? r.data[i][2].toString() : '';
                    data.addRows([[{
                        v: memberId,
                        f: memberName + '<div><img src = "../../common/image/person' + '.png" /></div>'
                    }, parentId, memberName]]);
                }
                var chart = new google.visualization.OrgChart($("#chart")[0]);
                chart.draw(data, { allowHtml: true });

            },
            failure: function (r) {
                alert(r.d);
                //alert(2);
            },
            error: function (r) {
                alert(r.d);
                //console.log(r);
            }
        });
    }

    //google.load("visualization", "1", { packages: ["orgchart"] });
    //google.setOnLoadCallback(drawChart);
    //function drawChart() {
    //    $.ajax({
    //        type: "POST",
    //        url: "/ChartMember/GetChartData",
    //        //data: "{'buy_name':'" + buy_name + "','point':" + point + ",'amount':" + amount + ",'price':" + price + ",'pay_type':" + pay_type + "}",
    //        contentType: "application/json; charset=utf-8",
    //        dataType: "json",
    //        success: function (msg) {
    //            alert(msg);
    //            //location.reload();
    //            location.href = "/Main";
    //        }
    //    });
    //    //$.ajax({
    //    //    type: "POST",
    //    //    url: "ChartMember/GetChartData",
    //    //    data: '{}',
    //    //    contentType: "application/json; charset=utf-8",
    //    //    dataType: "json",
    //    //    success: function (r) {
    //    //        var data = new google.visualization.DataTable();
    //    //        data.addColumn('string', 'Entity');
    //    //        data.addColumn('string', 'ParentEntity');
    //    //        data.addColumn('string', 'ToolTip');
    //    //        for (var i = 0; i < r.d.length; i++) {
    //    //            var memberId = r.d[i][0].toString();
    //    //            var memberName = r.d[i][1];
    //    //            var parentId = r.d[i][2] != null ? r.d[i][2].toString() : '';
    //    //            data.addRows([[{
    //    //                v: memberId,
    //    //                f: memberName + '<div><img src = "Pictures/' + memberId + '.jpg" /></div>'
    //    //            }, parentId, memberName]]);
    //    //        }
    //    //        var chart = new google.visualization.OrgChart($("#chart")[0]);
    //    //        chart.draw(data, { allowHtml: true });
    //    //    },
    //    //    failure: function (r) {
    //    //        alert(r.d);
    //    //    },
    //    //    error: function (r) {
    //    //        alert(r.d);
    //    //    }
    //    //});
    //}
</script>
<div id="chart">
</div>
